POSTaggerNameFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class POSTaggerNameFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.POSTaggerNameFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class POSTaggerNameFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  Adds the token POS Tag as feature. Requires a POS Tag model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POSTaggerNameFeatureGenerator(POSModel aPosModel)` Initializes a new instance.
    `POSTaggerNameFeatureGenerator(POSTagger aPosTagger)` Initializes a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createFeatures(List<String> feats, String[] toks, int index, String[] preds)` Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

      `clearAdaptiveData, updateAdaptiveData`

- - ### Constructor Detail

    - #### POSTaggerNameFeatureGenerator

          public POSTaggerNameFeatureGenerator(POSTagger aPosTagger)

      Initializes a new instance.
      Parameters:
        `aPosTagger` - a POSTagger implementation.

    - #### POSTaggerNameFeatureGenerator

          public POSTaggerNameFeatureGenerator(POSModel aPosModel)

      Initializes a new instance.
      Parameters:
        `aPosModel` - a POSTagger model.

  - ### Method Detail

    - #### createFeatures

          public void createFeatures(List<String> feats,
                                     String[] toks,
                                     int index,
                                     String[] preds)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `feats` - The list of features to be added to.
        `toks` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `preds` - The outcomes for the tokens prior to the specified index.

Copyright © 2026 The Apache Software Foundation. All rights reserved.